Loading...
Searching...
No Matches
Device context creation flags

AVHWFramesContext.hwctx is currently not used. More...

## Macros

#define | AV_CUDA_USE_PRIMARY_CONTEXT (1 << 0)
| Use primary device context instead of creating a new one.
#define | AV_CUDA_USE_CURRENT_CONTEXT (1 << 1)
| Use current device context instead of creating a new one.

## Detailed Description

AVHWFramesContext.hwctx is currently not used.

Flags for av_hwdevice_ctx_create.

## Macro Definition Documentation

## AV_CUDA_USE_PRIMARY_CONTEXT

#define AV_CUDA_USE_PRIMARY_CONTEXT (1 << 0)

Use primary device context instead of creating a new one.

Definition at line 63 of file hwcontext_cuda.h.

## AV_CUDA_USE_CURRENT_CONTEXT

#define AV_CUDA_USE_CURRENT_CONTEXT (1 << 1)

Use current device context instead of creating a new one.

Definition at line 68 of file hwcontext_cuda.h.